Bug 1916419 - [sig-devex][Feature:ImageEcosystem][Slow] openshift images should be SCL enabled returning s2i usage when running the image
Summary: [sig-devex][Feature:ImageEcosystem][Slow] openshift images should be SCL enab...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Samples
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.7.0
Assignee: Gabe Montero
QA Contact: XiuJuan Wang
URL:
Whiteboard:
Depends On:
Blocks: 1916687
TreeView+ depends on / blocked
 
Reported: 2021-01-14 18:11 UTC by Gabe Montero
Modified: 2021-02-24 15:53 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:53:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift origin pull 25799 0 None closed Bug 1916419: broaden acceptance of scl sample s2i image usage messages 2021-02-09 19:47:10 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:53:39 UTC

Description Gabe Montero 2021-01-14 18:11:58 UTC
The image eco e2e [sig-devex][Feature:ImageEcosystem][Slow] openshift images should be SCL enabled returning s2i usage when running the image

has started failing for registry.redhat.io/rhscl/php-73-rhel7 and registry.redhat.io/rhscl/python-27-rhel7 because recent changes to their usage message no longer match the pattern check for in the e2e.

That said, their usage messages seem fine:

Python 2.7

This is a S2I python-2.7 rhel base image:
There are multiple ways how to run the image, see documentation at:
https://github.com/sclorg/s2i-python-container/blob/master/2.7/README.md

To use it in Openshift, run:
oc new-app python:2.7~https://github.com/sclorg/s2i-python-container.git --context-dir=2.7/test/setup-test-app/

You can then run the resulting image via:
oc get pods
oc exec <pod> -- curl 127.0.0.1:8080

PHP 7.3

This is a S2I PHP-7.3 rhel base image:

To use it in Openshift, run:

oc new-app php:7.3~https://github.com/sclorg/cakephp-ex.git

To access the application:

oc get pods
oc exec <pod> -- curl 127.0.0.1:8080

Alternatively, to run the image directly using podman or docker, or how to use it as a parent image in a Dockerfile, see documentation at
https://github.com/sclorg/s2i-php-container/blob/master/7.3/README.md

So we'll either expand the acceptable text test or remove that part of the verification in the upcoming PR

Comment 2 Gabe Montero 2021-01-15 12:36:45 UTC
Test only change ... PR e2e's the only required verification

Comment 5 errata-xmlrpc 2021-02-24 15:53:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.